getPetUploadSign(data: GetPetUploadSign)

Requires:
@ray-js/ray≥1.6.27

Description

Get upload signature for pet-related files

Parameters

ParameterTypeRequiredDescription
YesRequest parameters: bizType business type (e.g., pet, petFeature, temp), fileName file name including extension

Return Value

Type: Promise<GetPetUploadSignResult>
Promise that resolves to the objectKey, url, and headers required for upload

Referenced Types

typeGetPetUploadSignResult
PropertyTypeDescription
objectKeystringFile objectKey (generated in the cloud per rules)
urlstringUpload URL
headersobjectUpload headers

Examples

Request example

import { getPetUploadSign } from '@ray-js/ray';

getPetUploadSign({
  bizType: 'pet',
  fileName: 'test.png',
});

Response example

{
  "objectKey": "xxx",
  "url": "xxxx",
  "headers": {}
}